# Poco::XML

# class ElementsByTagNameList

Library: XML
Package: DOM
Header: Poco/DOM/ElementsByTagNameList.h

## Inheritance

Direct Base Classes: NodeList

All Base Classes: DOMObject, NodeList

## Member Summary

Member Functions: autoRelease, find, item, length

Inherited Functions: autoRelease, duplicate, item, length, release

## Constructors

### ElementsByTagNameList

ElementsByTagNameList(
const Node * pParent,
const XMLString & name
);

## Destructor

### ~ElementsByTagNameList

~ElementsByTagNameList();

## Member Functions

### autoRelease

void autoRelease();

See also: Poco::XML::DOMObject::autoRelease()

### item

Node * item(
unsigned long index
) const;

See also: Poco::XML::NodeList::item()

### length

unsigned long length() const;

See also: Poco::XML::NodeList::length()

### find

Node * find(
const Node * pParent,
unsigned long index
) const;

## Variables

### _count

mutable unsigned long _count;

### _name

XMLString _name;

### _pParent

const Node * _pParent;